# TdApi.SetProfilePhoto (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: SetProfilePhoto

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SetProfilePhoto

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.SetProfilePhoto

Enclosing class:
  TdApi

public static final class TdApi.SetProfilePhoto extends TdApi.Function<TdApi.Ok>
Changes a profile photo for the current user. Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`boolean`
`isPublic`
Pass true to set a public photo, which will be visible even the main photo is hidden by privacy settings.
`TdApi.InputChatPhoto`
`photo`
Profile photo to set.

## Constructor Summary

Constructors
Constructor
Description
`SetProfilePhoto()`
Changes a profile photo for the current user.
`SetProfilePhoto(TdApi.InputChatPhoto photo, boolean isPublic)`
Changes a profile photo for the current user.
`SetProfilePhoto(DataInput input)`
Changes a profile photo for the current user.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### photo

public TdApi.InputChatPhoto photo
Profile photo to set.

### isPublic

public boolean isPublic
Pass true to set a public photo, which will be visible even the main photo is hidden by privacy settings.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### SetProfilePhoto

public SetProfilePhoto()
Changes a profile photo for the current user. Returns `Ok`

### SetProfilePhoto

public SetProfilePhoto(TdApi.InputChatPhoto photo, boolean isPublic)
Changes a profile photo for the current user. Returns `Ok`

Parameters:
  `photo` - InputChatPhoto Profile photo to set.
  `isPublic` - boolean Pass true to set a public photo, which will be visible even the main photo is hidden by privacy settings.

### SetProfilePhoto

public SetProfilePhoto(DataInput input) throws IOException
Changes a profile photo for the current user. Returns `Ok`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`